state_MEL_unPacker Class Reference

`#include <ht_block_decoding.hpp>`

## Public Member Functions

| state_MEL_unPacker (const uint8_t *Dcup, uint32_t Lcup, uint32_t Pcup)
uint8_t | impoertMELbit ()

## Private Attributes

uint32_t | pos
int8_t | bits
uint8_t | tmp
const uint8_t * | buf
uint32_t | length

## Constructor & Destructor Documentation

## state_MEL_unPacker()

state_MEL_unPacker::state_MEL_unPacker | ( | const uint8_t * | Dcup,
|  | uint32_t | Lcup,
|  | uint32_t | Pcup
| ) |  |

inline

## Member Function Documentation

## impoertMELbit()

uint8_t state_MEL_unPacker::impoertMELbit | ( |  | ) |

References bits, buf, length, pos, and tmp.

Referenced by state_MEL_decoder::decodeMELSym().

## Member Data Documentation

## bits

int8_t state_MEL_unPacker::bits

private

Referenced by impoertMELbit().

## buf

const uint8_t* state_MEL_unPacker::buf

private

Referenced by impoertMELbit().

## length

uint32_t state_MEL_unPacker::length

private

Referenced by impoertMELbit().

## pos

uint32_t state_MEL_unPacker::pos

private

Referenced by impoertMELbit().

## tmp

uint8_t state_MEL_unPacker::tmp

private

Referenced by impoertMELbit().

The documentation for this class was generated from the following files:

- ht_block_decoding.hpp
- ht_block_decoding.cpp